summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/ksh93/ksh93.SlackBuild4
-rw-r--r--source/ap/moc/moc-ffmpeg4.patch33
-rwxr-xr-xsource/ap/moc/moc.SlackBuild6
-rw-r--r--source/e/emacs/emacs.35739.patch114
-rwxr-xr-xsource/e/emacs/emacs.SlackBuild20
-rw-r--r--source/kde/build/k3b2
-rw-r--r--source/kde/build/kfilemetadata2
-rw-r--r--source/kde/build/nepomuk-core2
-rwxr-xr-xsource/l/alsa-plugins/alsa-plugins.SlackBuild2
-rwxr-xr-xsource/l/at-spi2-atk/at-spi2-atk.SlackBuild4
-rwxr-xr-xsource/l/at-spi2-core/at-spi2-core.SlackBuild4
-rwxr-xr-xsource/l/atk/atk.SlackBuild4
-rwxr-xr-xsource/l/dconf-editor/dconf-editor.SlackBuild4
-rwxr-xr-xsource/l/dconf/dconf.SlackBuild4
-rwxr-xr-xsource/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild4
-rwxr-xr-xsource/l/gegl/gegl.SlackBuild2
-rwxr-xr-xsource/l/gexiv2/gexiv2.SlackBuild4
-rwxr-xr-xsource/l/glib-networking/glib-networking.SlackBuild4
-rwxr-xr-xsource/l/glib2/glib2.SlackBuild4
-rwxr-xr-xsource/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild4
-rwxr-xr-xsource/l/gst-plugins-libav/gst-plugins-libav.SlackBuild12
-rwxr-xr-xsource/l/gvfs/gvfs.SlackBuild6
-rwxr-xr-xsource/l/json-glib/json-glib.SlackBuild4
-rwxr-xr-xsource/l/libnotify/libnotify.SlackBuild4
-rwxr-xr-xsource/l/libsoup/libsoup.SlackBuild4
-rw-r--r--source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch18
-rwxr-xr-xsource/l/libvisual-plugins/libvisual-plugins.SlackBuild7
-rwxr-xr-xsource/l/pygobject3/pygobject3.SlackBuild4
-rwxr-xr-xsource/n/iputils/iputils.SlackBuild2
-rwxr-xr-xsource/x/libinput/libinput.SlackBuild4
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild4
-rwxr-xr-xsource/xap/MPlayer/MPlayer.SlackBuild2
-rwxr-xr-xsource/xap/audacious-plugins/audacious-plugins.SlackBuild2
-rwxr-xr-xsource/xap/hexchat/hexchat.SlackBuild4
-rwxr-xr-xsource/xap/xine-lib/xine-lib.SlackBuild2
35 files changed, 236 insertions, 70 deletions
diff --git a/source/ap/ksh93/ksh93.SlackBuild b/source/ap/ksh93/ksh93.SlackBuild
index 36a319a53..5650bad7c 100755
--- a/source/ap/ksh93/ksh93.SlackBuild
+++ b/source/ap/ksh93/ksh93.SlackBuild
@@ -109,8 +109,8 @@ meson setup \
--localstatedir=/var \
--buildtype=release \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Stuff we don't ship:
diff --git a/source/ap/moc/moc-ffmpeg4.patch b/source/ap/moc/moc-ffmpeg4.patch
new file mode 100644
index 000000000..c1e43a7c2
--- /dev/null
+++ b/source/ap/moc/moc-ffmpeg4.patch
@@ -0,0 +1,33 @@
+Index: decoder_plugins/ffmpeg/ffmpeg.c
+===================================================================
+--- decoder_plugins/ffmpeg/ffmpeg.c (revisión: 2963)
++++ decoder_plugins/ffmpeg/ffmpeg.c (copia de trabajo)
+@@ -697,7 +697,7 @@
+ * FFmpeg/LibAV in use. For some versions this will be caught in
+ * *_find_stream_info() above and misreported as an unfound codec
+ * parameters error. */
+- if (data->codec->capabilities & CODEC_CAP_EXPERIMENTAL) {
++ if (data->codec->capabilities & AV_CODEC_CAP_EXPERIMENTAL) {
+ decoder_error (&data->error, ERROR_FATAL, 0,
+ "The codec is experimental and may damage MOC: %s",
+ data->codec->name);
+@@ -705,8 +705,8 @@
+ }
+
+ set_downmixing (data);
+- if (data->codec->capabilities & CODEC_CAP_TRUNCATED)
+- data->enc->flags |= CODEC_FLAG_TRUNCATED;
++ if (data->codec->capabilities & AV_CODEC_CAP_TRUNCATED)
++ data->enc->flags |= AV_CODEC_FLAG_TRUNCATED;
+
+ if (avcodec_open2 (data->enc, data->codec, NULL) < 0)
+ {
+@@ -725,7 +725,7 @@
+
+ data->sample_width = sfmt_Bps (data->fmt);
+
+- if (data->codec->capabilities & CODEC_CAP_DELAY)
++ if (data->codec->capabilities & AV_CODEC_CAP_DELAY)
+ data->delay = true;
+ data->seek_broken = is_seek_broken (data);
+ data->timing_broken = is_timing_broken (data->ic);
diff --git a/source/ap/moc/moc.SlackBuild b/source/ap/moc/moc.SlackBuild
index 2fbf4320f..35293ca63 100755
--- a/source/ap/moc/moc.SlackBuild
+++ b/source/ap/moc/moc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=moc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/moc-ffmpeg4.patch.gz | patch -p0 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/e/emacs/emacs.35739.patch b/source/e/emacs/emacs.35739.patch
new file mode 100644
index 000000000..2429013e5
--- /dev/null
+++ b/source/e/emacs/emacs.35739.patch
@@ -0,0 +1,114 @@
+From b3df3729596332a39404c364798a61bfef2adcc2 Mon Sep 17 00:00:00 2001
+From: Stefan Monnier <monnier@iro.umontreal.ca>
+Date: Fri, 31 May 2019 00:54:05 -0400
+Subject: * lisp/emacs-lisp/package.el: Obey buffer-file-coding-system
+ (bug#35739)
+
+`url-insert-file-contents` saves in buffer-file-coding-system
+the coding-system used to decode the contents. Preserve this
+as the contents is moved from buffer to string to buffer, and use
+it when saving the contents to file, so as to try and better preserve
+the original byte sequence.
+
+(package--buffer-string, package--cs): New functions.
+(package--check-signature): Encode `string` if a coding-system
+was specified in buffer-file-coding-system.
+(package--download-one-archive, package-install-from-archive):
+Obey and preserve the buffer-file-coding-system if specified.
+
+Do not merge.
+---
+ lisp/emacs-lisp/package.el | 36 +++++++++++++++++++++++++++---------
+ 1 file changed, 27 insertions(+), 9 deletions(-)
+
+diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
+index 1a185de..46f7c91 100644
+--- a/lisp/emacs-lisp/package.el
++++ b/lisp/emacs-lisp/package.el
+@@ -1241,6 +1241,17 @@ errors."
+ (signal 'bad-signature (list sig-file)))
+ good-signatures)))
+
++(defun package--buffer-string ()
++ (let ((string (buffer-string)))
++ (when (and buffer-file-coding-system
++ (> (length string) 0))
++ (put-text-property 0 1 'package--cs buffer-file-coding-system string))
++ string))
++
++(defun package--cs (string)
++ (and (> (length string) 0)
++ (get-text-property 0 'package--cs string)))
++
+ (defun package--check-signature (location file &optional string async callback unwind)
+ "Check signature of the current buffer.
+ Download the signature file from LOCATION by appending \".sig\"
+@@ -1260,8 +1271,12 @@ Otherwise, an error is signaled.
+
+ UNWIND, if provided, is a function to be called after everything
+ else, even if an error is signaled."
+- (let ((sig-file (concat file ".sig"))
+- (string (or string (buffer-string))))
++ (let* ((sig-file (concat file ".sig"))
++ (string (or string (package--buffer-string)))
++ (cs (package--cs string)))
++ ;; Re-encode the downloaded file with the coding-system with which
++ ;; it was decoded, so we (hopefully) get the exact same bytes back.
++ (when cs (setq string (encode-coding-string string cs)))
+ (package--with-response-buffer location :file sig-file
+ :async async :noerror t
+ ;; Connection error is assumed to mean "no sig-file".
+@@ -1529,7 +1544,7 @@ similar to an entry in `package-alist'. Save the cached copy to
+ :error-form (package--update-downloads-in-progress archive)
+ (let* ((location (cdr archive))
+ (name (car archive))
+- (content (buffer-string))
++ (content (package--buffer-string))
+ (dir (expand-file-name (format "archives/%s" name) package-user-dir))
+ (local-file (expand-file-name file dir)))
+ (when (listp (read content))
+@@ -1538,7 +1553,8 @@ similar to an entry in `package-alist'. Save the cached copy to
+ (member name package-unsigned-archives))
+ ;; If we don't care about the signature, save the file and
+ ;; we're done.
+- (progn (let ((coding-system-for-write 'utf-8))
++ (progn (let ((coding-system-for-write
++ (or (package--cs content) 'utf-8)))
+ (write-region content nil local-file nil 'silent))
+ (package--update-downloads-in-progress archive))
+ ;; If we care, check it (perhaps async) and *then* write the file.
+@@ -1546,7 +1562,7 @@ similar to an entry in `package-alist'. Save the cached copy to
+ location file content async
+ ;; This function will be called after signature checking.
+ (lambda (&optional good-sigs)
+- (let ((coding-system-for-write 'utf-8))
++ (let ((coding-system-for-write (or (package--cs content) 'utf-8)))
+ (write-region content nil local-file nil 'silent))
+ ;; Write out good signatures into archive-contents.signed file.
+ (when good-sigs
+@@ -1838,15 +1854,17 @@ if all the in-between dependencies are also in PACKAGE-LIST."
+ (let ((save-silently t))
+ (package-unpack pkg-desc))
+ ;; If we care, check it and *then* write the file.
+- (let ((content (buffer-string)))
++ (let ((content (package--buffer-string)))
+ (package--check-signature
+ location file content nil
+ ;; This function will be called after signature checking.
+ (lambda (&optional good-sigs)
+ ;; Signature checked, unpack now.
+- (with-temp-buffer (insert content)
+- (let ((save-silently t))
+- (package-unpack pkg-desc)))
++ (with-temp-buffer
++ (insert content)
++ (setq buffer-file-coding-system (package--cs content))
++ (let ((save-silently t))
++ (package-unpack pkg-desc)))
+ ;; Here the package has been installed successfully, mark it as
+ ;; signed if appropriate.
+ (when good-sigs
+--
+cgit v1.0-41-gc330
+
+
diff --git a/source/e/emacs/emacs.SlackBuild b/source/e/emacs/emacs.SlackBuild
index 403663d0f..e542dcd12 100755
--- a/source/e/emacs/emacs.SlackBuild
+++ b/source/e/emacs/emacs.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Slackware build script for emacs-22
-
# Written by Dušan Stefanović (stefanovic.dusan@gmail.com)
# Modified by Robby Workman <rworkman@slackbuilds.org>
# Modified by Patrick Volkerding <volkerdi@slackware.com>
@@ -29,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=emacs
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Determine version number the tarball is labeled with:
TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# OK, now what's being used as the source directory version number... account
@@ -94,6 +92,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/emacs.35739.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -107,7 +107,7 @@ CXXFLAGS="$SLKCFLAGS" \
--without-gconf \
--without-gsettings \
--with-x \
- --with-x-toolkit=gtk3 \
+ --with-x-toolkit=${X_TOOLKIT:-gtk3} \
--build=${ARCH}-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
@@ -131,6 +131,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/emacs.35739.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -207,6 +209,10 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$TARBALLVER-$ARCH-$BUILD.txz
+# Tag packages that use a toolkit other than default (currently gtk3):
+if [ -z "$TAG" ] && [ ! -z "$X_TOOLKIT" ]; then
+ TAG="_$X_TOOLKIT"
+fi
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$TARBALLVER-$ARCH-$BUILD$TAG.txz
diff --git a/source/kde/build/k3b b/source/kde/build/k3b
index b8626c4cf..7ed6ff82d 100644
--- a/source/kde/build/k3b
+++ b/source/kde/build/k3b
@@ -1 +1 @@
-4
+5
diff --git a/source/kde/build/kfilemetadata b/source/kde/build/kfilemetadata
index b8626c4cf..7ed6ff82d 100644
--- a/source/kde/build/kfilemetadata
+++ b/source/kde/build/kfilemetadata
@@ -1 +1 @@
-4
+5
diff --git a/source/kde/build/nepomuk-core b/source/kde/build/nepomuk-core
index b8626c4cf..7ed6ff82d 100644
--- a/source/kde/build/nepomuk-core
+++ b/source/kde/build/nepomuk-core
@@ -1 +1 @@
-4
+5
diff --git a/source/l/alsa-plugins/alsa-plugins.SlackBuild b/source/l/alsa-plugins/alsa-plugins.SlackBuild
index 74a89e42d..81d41f335 100755
--- a/source/l/alsa-plugins/alsa-plugins.SlackBuild
+++ b/source/l/alsa-plugins/alsa-plugins.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alsa-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/at-spi2-atk/at-spi2-atk.SlackBuild b/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
index 599e62e47..d751e4002 100755
--- a/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
+++ b/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
@@ -95,8 +95,8 @@ meson setup \
--localstatedir=/var \
--buildtype=release \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/at-spi2-core/at-spi2-core.SlackBuild b/source/l/at-spi2-core/at-spi2-core.SlackBuild
index 8cb76daab..80aaecc25 100755
--- a/source/l/at-spi2-core/at-spi2-core.SlackBuild
+++ b/source/l/at-spi2-core/at-spi2-core.SlackBuild
@@ -88,8 +88,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/atk/atk.SlackBuild b/source/l/atk/atk.SlackBuild
index 4bdce1b28..f08fc35ef 100755
--- a/source/l/atk/atk.SlackBuild
+++ b/source/l/atk/atk.SlackBuild
@@ -96,8 +96,8 @@ meson setup \
-Dintrospection=true \
-Ddocs=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/dconf-editor/dconf-editor.SlackBuild b/source/l/dconf-editor/dconf-editor.SlackBuild
index a15b8f264..c7901c6fb 100755
--- a/source/l/dconf-editor/dconf-editor.SlackBuild
+++ b/source/l/dconf-editor/dconf-editor.SlackBuild
@@ -96,8 +96,8 @@ meson setup \
--localstatedir=/var \
--buildtype=release \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Compress manual pages:
diff --git a/source/l/dconf/dconf.SlackBuild b/source/l/dconf/dconf.SlackBuild
index 9d96652e2..0613d940c 100755
--- a/source/l/dconf/dconf.SlackBuild
+++ b/source/l/dconf/dconf.SlackBuild
@@ -99,8 +99,8 @@ meson setup \
-Dgtk_doc=true \
-Dman=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# bash-completion is not available at build time, so install the file manually:
diff --git a/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild b/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
index 8cda0fce4..5b3390403 100755
--- a/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
+++ b/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
@@ -99,8 +99,8 @@ meson setup \
-Dx11=true \
-Dinstalled_tests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/gegl/gegl.SlackBuild b/source/l/gegl/gegl.SlackBuild
index 269d4d423..73f0c3e9c 100755
--- a/source/l/gegl/gegl.SlackBuild
+++ b/source/l/gegl/gegl.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gegl
VERSION=${VERSION:-$(echo gegl-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/gexiv2/gexiv2.SlackBuild b/source/l/gexiv2/gexiv2.SlackBuild
index eaae0508c..6be19f8fd 100755
--- a/source/l/gexiv2/gexiv2.SlackBuild
+++ b/source/l/gexiv2/gexiv2.SlackBuild
@@ -88,8 +88,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/glib-networking/glib-networking.SlackBuild b/source/l/glib-networking/glib-networking.SlackBuild
index 56ac842e4..4725aaa89 100755
--- a/source/l/glib-networking/glib-networking.SlackBuild
+++ b/source/l/glib-networking/glib-networking.SlackBuild
@@ -87,8 +87,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
diff --git a/source/l/glib2/glib2.SlackBuild b/source/l/glib2/glib2.SlackBuild
index 44615e2f5..0c0783edd 100755
--- a/source/l/glib2/glib2.SlackBuild
+++ b/source/l/glib2/glib2.SlackBuild
@@ -103,8 +103,8 @@ meson setup \
-Dgtk_doc=true \
-Dinstalled_tests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
index cbe8394b2..df7b6a638 100755
--- a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
+++ b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
diff --git a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
index a81de63a2..e4cd6aaef 100755
--- a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
+++ b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-libav
VERSION=${VERSION:-$(echo gst-libav-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -82,15 +82,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# --with-system-libav now requires ffmpeg4, so we'll use the embedded version
-# until we are able to switch over to that.
-if [ ! "$VERSION" = "1.16.0" ]; then
- echo "New version detected... if we aren't using ffmpeg4 yet please update"
- echo "the check in gst-plugins-libav.SlackBuild."
- echo "Exiting."
- exit 1
-fi
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -100,6 +91,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--disable-static \
+ --with-system-libav \
--with-libav-extra-configure=\"--enable-runtime-cpudetect\" \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/l/gvfs/gvfs.SlackBuild b/source/l/gvfs/gvfs.SlackBuild
index c5c0836e2..b59469b08 100755
--- a/source/l/gvfs/gvfs.SlackBuild
+++ b/source/l/gvfs/gvfs.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gvfs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -101,8 +101,8 @@ meson setup \
-Dsystemduserunitdir=no \
-Dtmpfilesdir=no \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
## This was an issue in 2012, but we will try commenting this sed command out
diff --git a/source/l/json-glib/json-glib.SlackBuild b/source/l/json-glib/json-glib.SlackBuild
index 77b6962dc..b761b92fa 100755
--- a/source/l/json-glib/json-glib.SlackBuild
+++ b/source/l/json-glib/json-glib.SlackBuild
@@ -104,8 +104,8 @@ meson setup \
--buildtype=release \
-Ddocs=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libnotify/libnotify.SlackBuild b/source/l/libnotify/libnotify.SlackBuild
index 0beb380e5..3e4204c9a 100755
--- a/source/l/libnotify/libnotify.SlackBuild
+++ b/source/l/libnotify/libnotify.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
-Ddocbook_docs=disabled \
-Dtests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libsoup/libsoup.SlackBuild b/source/l/libsoup/libsoup.SlackBuild
index 39314847f..41d379a66 100755
--- a/source/l/libsoup/libsoup.SlackBuild
+++ b/source/l/libsoup/libsoup.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
-Dvapi=true \
-Ddoc=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch b/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch
new file mode 100644
index 000000000..8e54e02cb
--- /dev/null
+++ b/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch
@@ -0,0 +1,18 @@
+The static VisPluginInfo in nastyfft was declared as const, but libvisual write
+to its refcount when it visual_object_unref()s it (nasty!). This is broken at
+various levels: libvisual shouldn't be writing to this static plugin which is
+allocated by a dlopen()ed plugin, and it should also honor the "const
+VisPluginInfo" API... Anyway, nastyfft was the only occurrence and this fixes
+the crash for now; LP: #287448.
+
+--- libvisual-plugins-0.4.0.dfsg.1.orig/plugins/actor/nastyfft/actor_nastyfft.c
++++ libvisual-plugins-0.4.0.dfsg.1/plugins/actor/nastyfft/actor_nastyfft.c
+@@ -80,7 +80,7 @@
+ .vidoptions.depth = VISUAL_VIDEO_DEPTH_GL
+ }};
+
+- static const VisPluginInfo info[] = {{
++ static VisPluginInfo info[] = {{
+ .type = VISUAL_PLUGIN_TYPE_ACTOR,
+
+ .plugname = N_("nastyfft"),
diff --git a/source/l/libvisual-plugins/libvisual-plugins.SlackBuild b/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
index 84f6f7f07..2352227fb 100755
--- a/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
+++ b/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libvisual-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,7 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/libvisual-plugins.gstreamer.diff.gz | patch -p1 || exit 1
+zcat $CWD/libvisual-plugins.gstreamer.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/60_no-const-vispluginfo-in-nastyfft.patch.gz | patch -p1 --verbose || exit 1
# Configure:
CFLAGS="$SLKCFLAGS" \
diff --git a/source/l/pygobject3/pygobject3.SlackBuild b/source/l/pygobject3/pygobject3.SlackBuild
index 1a461e582..9eda45f34 100755
--- a/source/l/pygobject3/pygobject3.SlackBuild
+++ b/source/l/pygobject3/pygobject3.SlackBuild
@@ -97,8 +97,8 @@ meson setup \
--buildtype=release \
-Dpython=python3 \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# No ninja "make clean"?
diff --git a/source/n/iputils/iputils.SlackBuild b/source/n/iputils/iputils.SlackBuild
index f9e57e53d..137ec39b1 100755
--- a/source/n/iputils/iputils.SlackBuild
+++ b/source/n/iputils/iputils.SlackBuild
@@ -96,7 +96,7 @@ meson setup \
-DBUILD_TRACEROUTE6=true \
-DBUILD_RARPD=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
cd ..
cd meson-build
diff --git a/source/x/libinput/libinput.SlackBuild b/source/x/libinput/libinput.SlackBuild
index 05b9315c7..e7f3e88a1 100755
--- a/source/x/libinput/libinput.SlackBuild
+++ b/source/x/libinput/libinput.SlackBuild
@@ -99,8 +99,8 @@ meson setup \
-Ddocumentation=false \
-Dtests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index 886bb67ed..fd5c9e5b7 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -132,8 +132,8 @@ meson setup \
-Dgles1=false \
-Dgles2=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Install /etc/drirc as a .new file:
diff --git a/source/xap/MPlayer/MPlayer.SlackBuild b/source/xap/MPlayer/MPlayer.SlackBuild
index 93a229b56..6271a4267 100755
--- a/source/xap/MPlayer/MPlayer.SlackBuild
+++ b/source/xap/MPlayer/MPlayer.SlackBuild
@@ -25,7 +25,7 @@
# Set initial variables:
PKGNAM=MPlayer
-VERSION=${VERSION:-20190418}
+VERSION=${VERSION:-20190717}
# Need to build trunk until there's a stable branch compatible with the
# latest ffmpeg stable release:
#BRANCH=${BRANCH:-1.3} # leave empty if you want to build MPlayer trunk
diff --git a/source/xap/audacious-plugins/audacious-plugins.SlackBuild b/source/xap/audacious-plugins/audacious-plugins.SlackBuild
index 80f986696..378809d76 100755
--- a/source/xap/audacious-plugins/audacious-plugins.SlackBuild
+++ b/source/xap/audacious-plugins/audacious-plugins.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=audacious-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/xap/hexchat/hexchat.SlackBuild b/source/xap/hexchat/hexchat.SlackBuild
index 512dc76ac..cc65d78e4 100755
--- a/source/xap/hexchat/hexchat.SlackBuild
+++ b/source/xap/hexchat/hexchat.SlackBuild
@@ -96,8 +96,8 @@ meson setup \
-Dwith-lua=false \
-Dwith-python=python3 \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/source/xap/xine-lib/xine-lib.SlackBuild b/source/xap/xine-lib/xine-lib.SlackBuild
index 60c9621ef..f2286d496 100755
--- a/source/xap/xine-lib/xine-lib.SlackBuild
+++ b/source/xap/xine-lib/xine-lib.SlackBuild
@@ -32,7 +32,7 @@ DIRVER=1.2.9
# Version used for the Slackware package
PKGVER=1.2.9
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then